Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.io.dataformat
Class DataFormatSpecification.Dependency

    java.lang.Object
      org.maltparser.core.io.dataformat.DataFormatSpecification.Dependency

Enclosing class:
  DataFormatSpecification

    public class DataFormatSpecification.Dependency

extends Object

Field Summary
`protected String` | `dependentOn`
`protected String` | `map`
`protected String` | `mapUrl`
`protected String` | `urlString`

Constructor Summary
`DataFormatSpecification.Dependency(String dependentOn, String urlString, String map, String mapUrl)`

Method Summary
`String` | `getDependentOn()`
`String` | `getMap()`
`String` | `getMapUrl()`
`String` | `getUrlString()`
`protected void` | `setDependentOn(String dependentOn)`
`protected void` | `setMap(String map)`
`void` | `setMapUrl(String mapUrl)`
`void` | `setUrlString(String urlString)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### dependentOn

    protected String dependentOn

### urlString

    protected String urlString

### map

    protected String map

### mapUrl

    protected String mapUrl

Constructor Detail

### DataFormatSpecification.Dependency

    public DataFormatSpecification.Dependency(String dependentOn,
                                              String urlString,
                                              String map,
                                              String mapUrl)

Method Detail

### getDependentOn

    public String getDependentOn()

### setDependentOn

    protected void setDependentOn(String dependentOn)

### getUrlString

    public String getUrlString()

### setUrlString

    public void setUrlString(String urlString)

### getMap

    public String getMap()

### setMap

    protected void setMap(String map)

### getMapUrl

    public String getMapUrl()

### setMapUrl

    public void setMapUrl(String mapUrl)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2011 Johan Hall, Jens Nilsson and Joakim Nivre.